/**
   This file shows the "basic model" that will be used
   in the example programs.
*/

public class SimpleModel extends Model
{
   public SimpleModel()
   {
      super();

      // Create the model's geometry.
      Vertex v1 = new Vertex( 1.0,  1.0, 0.0);  // a square
      Vertex v2 = new Vertex(-1.0,  1.0, 0.0);
      Vertex v3 = new Vertex(-1.0, -1.0, 0.0);
      Vertex v4 = new Vertex( 1.0, -1.0, 0.0);

      primitiveList.add( new LineSegment(v1, v2) );
      primitiveList.add( new LineSegment(v2, v3) );
      primitiveList.add( new LineSegment(v3, v4) );
      primitiveList.add( new LineSegment(v4, v1) );

      Vertex v5 = new Vertex( 2.0,  2.0, 0.0);  // another square
      Vertex v6 = new Vertex(-2.0,  2.0, 0.0);
      Vertex v7 = new Vertex(-2.0, -2.0, 0.0);
      Vertex v8 = new Vertex( 2.0, -2.0, 0.0);

      primitiveList.add( new LineSegment(v5, v6) );
      primitiveList.add( new LineSegment(v6, v7) );
      primitiveList.add( new LineSegment(v7, v8) );
      primitiveList.add( new LineSegment(v8, v5) );

      Vertex v9  = new Vertex(-2.0,  1.0, 0.0);   // two line segments
      Vertex v10 = new Vertex( 1.0, -2.0, 0.0);

      primitiveList.add( new LineSegment(v1, v5) );
      primitiveList.add( new LineSegment(v9, v10) );
   }
}